Tehnologija
Sada čitate
Hitno ažuriranje za WordPress SEO by Yoast plugin
Sadržaji

U jednom od najpopularnijih WordPress pluginova, WordPress SEO by Yoast, koji ima više od milion aktivnih korisnika, otkrivena je kritična ranjivost zbog koje su milioni web sajtova u opasnosti. Bezbednosti propust otkriven je u većini verzija ovog plugina, koji važi za jedan od najpopularnijih rešenja za optimizaciju web sajtova za pretragu.

Propust je otkrio Rajan Duhrst, nezavisni konusltant za bezbednost i programer WPScana. Kako je navedeno sve verzije ovog plugina pre verzije 1.7.3.3 imaju Blind SQL injection propust. SQL injection propusti se smatraju kritičnim zato što mogu dovesti do kompromitovanja baza podataka i curenja poverljivih informacija.

U ovom slučaju, međutim, napadač ne može sam da iskoristi ovu ranjivost zato što je propust u admin/class-bulk-editor-list-table.php fajlu, kome može pristupiti samo korisnik koji ima privilegije WordPress administratora, urednika ili autora. Da bi ranjivost bila iskorišćena, potrebno je učešće autorizovanog korisnika što je moguće uz pomoć društvenog inženjeringa – napadač može prevariti autorizovanog korisnika da klikne na specijalno napravljen URL.

Ako napadač uspe da prevari korisnika, to može dovesti do izvršenja proizvoljnih SQL upita na WordPress web sajtu koji je cilj napada. Jedan od mogućih scenarija napada bi bio da napadač doda svog korisnika sa privilegijama administratora napadnutom WordPress sajtu, što bi omogućilo kompromitovanje celog web sajta.

Ovaj propust ispravljen je u najnovijoj verziji WordPress SEO by Yoast plugina (1.7.4), jer su programeri plugina reagovali u roku od 90 minuta pošto su emailom obavešteni o propustu. Zbog toga se administratorima WordPressa sa isključenim automatskim ažuriranjem preporučuje da ažuriraju WordPress SEO by Yoast plugin što pre ili da preuzmu najnoviju verziju plugina.

Izvor: informacija.rs

O autoru
TajmLajn